//===================================================================*/
/* イベント
//===================================================================*/
//　F2 表示
$(document).on("click", ".popafm032xFunc2:not('.noevent')", function (e) {
  $('#popafm032xSearch').trigger('click');
});
//　F5 クリア
$(document).on("click", ".popafm032xFunc5:not('.noevent')", function (e) {
  afm032x.initial();
});
//　F9 決定
$(document).on("click", ".popafm032xFunc9:not('.noevent')", function (e) {
  $("#popafm032xSelect").trigger("click");
});
//　F12 メニュー/戻る
$(document).on("click", ".popafm032xFunc12:not('.noevent')", function (e) {
  $('#popafm032xClose').trigger('popClose');
});

$(document).on("focus", "#afm032xDummy", function(e) {
  $(".popafm032xFunc2").focus();
});

function dspPopupAfm032x($me) {  //表示
  if ($me.attr("readonly") == "readonly" || $me.attr("readonly") == true) {
    return true
  }

console.log("dspPopupAfm032x");

  var grp = $me.closest(".cucdGrp");
  var cucd = grp.find(".cucd")[0];
  var cunm = grp.find(".cunm")[0];
  var cuscd = grp.find(".cuscd")[0];
  var popCucd = grp.find(".popCucd")[0];
  var popCuscd = grp.find(".popCuscd")[0];

  popup.openPopup("afm032x", $(grp));

  common.setValue($("#afm032xOrgTitle"), common.getValue($("#topPrgTitle")));
  common.setValue($("#topPrgTitle"),"得意先店舗検索");

  var id = common.getId( $(popCuscd) );
  $("#afm032xCd").data("popObjId", id);

  afm032x.initial();


  $("#afm032xCcd").focus();
  common.setDetailHeight($("#afm032xDetail"));

  common.setValue($("#afm032xCnm"),common.getValue(grp.find(".cucd"))+':'+common.getValue(grp.find(".cunm")));
  common.setValue($("#afm032xCcd"),common.getValue(grp.find(".cucd")));
  common.setValue($("#afm032xCnm2"),common.getValue(grp.find(".cunm")));
  common.setValue($("#afm032xCuclcls"),common.getValue(grp.find(".cuclcls"))); //店舗請求する/しない条件追加

  //$("#popafm032xSearch").trigger("click");
}
$(document).on("click", ".cmdCuscd, .cmdCucd", function (e) {
  var $me = $(this);
  var grp = $me.closest(".cucdGrp");

  var cucd = $(grp.find(".cucd")[0]).val();
  var $cuscd = grp.find(".cuscd")[0];
  var $cmdCuscd = grp.find(".cmdCuscd")[0];

  //得意先+店舗がセットで、ボタンが１つの場合があるため、制御が必要
  //店舗項目がない or 得意先が未入力 or 店舗検索ボタンがある(得意先と店舗は別々)かつ得意先ボタンで起動 の時は、店舗検索をあげない
  if($cuscd == null || stringUtil.isEmpty(cucd) || ($me.hasClass("cmdCucd") && $cmdCuscd != null)){ 

    //店舗検索ボタンがある(得意先と店舗は別々)、かつ、得意先無で店舗検索を上げようとするならエラー
    if($cmdCuscd != null && $me.hasClass("cmdCuscd") && stringUtil.isEmpty(cucd)) {
      common.addError($(grp.find(".cucd")[0]), "得意先を入力してください", null);
    }

    return true;
  }

  dspPopupAfm032x($(this));
});

$(document).on("keyup", ".popCuscd, .popCucd", function (e) {
  if (e.keyCode == 40) {

    var $me = $(this);
    var grp = $me.closest(".cucdGrp");

    var cucd = $(grp.find(".cucd")[0]).val();
    var $cuscd = grp.find(".cuscd")[0];
    var $cmdCuscd = grp.find(".cmdCuscd")[0];
  
    //得意先+店舗がセットで、ボタンが１つの場合があるため、制御が必要
    //店舗項目がない or 得意先が未入力 or 店舗検索ボタンがある(得意先と店舗は別々)かつ得意先入力欄で起動 の時は、店舗検索をあげない
    if($cuscd == null || stringUtil.isEmpty(cucd) || ($me.hasClass("popCucd") && $cmdCuscd != null)){  

      //店舗検索ボタンがある(得意先と店舗は別々)、かつ、得意先無で店舗検索を上げようとするならエラー
      if($cmdCuscd != null && $me.hasClass("popCuscd") && stringUtil.isEmpty(cucd)) {
        common.addError($(grp.find(".cucd")[0]), "得意先を入力してください", null);
      }

      return true;
    }
  
    dspPopupAfm032x($(this));
  }
});


$(document).on("click", "#popafm032xSearch", function (e) {
  var me = this;
  // 読込

  if($('input:checkbox[name="afm032xStp"]:checked').val() == '1') {
    var $stpflg = '1';                          //1=廃止OK
  } else {
    var $stpflg = '0';
  }

  afm032x.deldetail();  //明細削除

  var sendData = {};
  sendData["popmode"] = "afm032x";
  sendData["cnm"]     = $("#afm032xCnm").val();
  sendData["ccd"]     = $("#afm032xCcd").val();
  sendData["cd"]      = $("#afm032xCd").val();
  sendData["nm"]      = $("#afm032xNm").val();
  sendData["shflg"]   = $("#afm032xShflg").val();
  sendData["cshcd"]   = $("#afm032xCshcd").val();
  sendData["zip"]     = $("#afm032xZip").val();
  sendData["add"]     = $("#afm032xAdd").val();
  sendData["spcat"]   = $("#afm032xSpcat").val();
  sendData["tel"]     = $("#afm032xTel").val();
  sendData["fax"]     = $("#afm032xFax").val();
  sendData["cd"]      = $("#afm032xCd").val();
  sendData["splnk"]   = $("#afm032xSplnk").val();
  sendData["cuclcls"] = $("#afm032xCuclcls").val();
  sendData['stpflg']  = $stpflg;

  setComplianceData("search", sendData);

  var me = $(this);
  common.postData(
    common.getApiUrl() + "getPopupSearch.php"
    , sendData
    , function (data, options) { $(me).trigger("regSuccess", data); }
    , function (error, options) { $(me).trigger("regError", error); }
  );

});

$(document).on("regSuccess", "#popafm032xSearch", function (e, data) {
  var list = JSON.parse(data)

  if (!(list != null)) {
    return false;
  }

  $("#afm032xDetail .detail").remove();
  var el = "";
  for (var i = 0; i < list.length; i++) {
    el += afm032x.appendRow(list[i]);
  }
  $("#afm032xDetail").append(el);

  common.setDetailHeight($("#afm032xDetail"));

  $("#afm032xDetail .detail").first().find("a").focus();
});
$(document).on("regError", "#popafm032xSearch", function (e, data) {
  alert(data.msg);
});

$(document).on("dblclick", "#afm032xDetail .selectRow", function (e) {
  hideToolTip();
  $("#popafm032xSelect").trigger("click");
});

$(document).on("click", "#popafm032xSelect", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var sel = $("#afm032xDetail .selectRow");
/*
  var selCucd = $("#afm032xDetail .selectRow .cucd").text();
  var selCuscd = $("#afm032xDetail .selectRow .cuscd").text();
*/

  var grp = popup.closePopup("afm032x");
  var cuscd = grp.find(".cuscd")[0];
  var popCuscd = grp.find(".popCuscd")[0];
  //値をセット
  common.setValue(grp.find(".cuscd"), common.getValue($(sel).find(".cuscd")));
  common.setValue(grp.find(".spnm"), common.getValue($(sel).find(".spnm")));

//  $(cucd).change();
  $(popCuscd).focus();

  afm032x.initial();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm032xOrgTitle")));
  $(popCuscd).trigger("afterSelectAfm032x");
  common.clearError($(popCuscd));
});

$("#popafm032xClose").on("popClose", function (e) {
  if (e.bubbles == false) {
    return false;
  }

  var grp = popup.closePopup("afm032x");
  grp.find(".popCuscd")[0].focus();

  common.setValue($("#topPrgTitle"), common.getValue($("#afm032xOrgTitle")));
  afm032x.initial();

  //afm032x.close();
});

$(document).on("keydown", "#afm032xDetail .selectRow", function (e) {
  if (e.keyCode == 32) {
    $("#popafm032xSelect").trigger("click");
    return false;
  }
});

var afm032x = {
  close: function () {
    this.initial();
    popup.closePopup("afm032x");
  },

  appendRow: function (d) {
    var n = stringUtil.nvl;
    if(d.spstp == null) {
      var row =
      ' <div class="col wp-100 detail"> ' +
      '   <hr> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-S inputReadOnly cuscd">' + n(d.cuscd) + '</div>' + 
      '     <div class="item wd-MM inputReadOnly spnm longnm">' + n(d.spnm) + '</div>' +
      '     <div class="item wd-M inputReadOnly spknm longnm">' + n(d.spknm) + '</div>' +
      '     <div class="item wd-S inputReadOnly shflgnm">' + n(d.shflgnm) + '</div>' + 
      '     <div class="item wd-060 inputReadOnly spzip ">' + n(d.spzip) + '</div>' +
      '     <div class="item wd-L inputReadOnly spad longnm">' + n(d.spad) + '</div>' +
      '     <div class="item wd-030 inputReadOnly spktcd">' + n(d.spktcd) + '</div>' +
      '     <div class="item wd-060 inputReadOnly cshcd">' + n(d.cshcd) + '</div>' +
      '     <div class="item wd-S inputReadOnly spcatnm">' + n(d.spcatnm) + '</div>' + 
      '     <div class="item wd-090 inputReadOnly sptel">' + n(d.sptel) + '</div>' +
      '     <div class="item wd-090 inputReadOnly spfax">' + n(d.spfax) + '</div>' +
      '     <input type="hidden" class="cucd" value="' + n(d.cucd) + '" />' +
      '     <input type="hidden" class="cunm" value="' + n(d.cunm) + '" />' +
      '   </div> ' +
      ' </div> ';
    } else {
      var row =
      ' <div class="col wp-100 detail"> ' +
      '   <hr> ' +
      '   <div class="col wp-100"> ' +
      '     <a href="#" class="line"> </a> ' +
      '     <div class="item wd-S inputReadOnly cuscd" style="background-color:#FFC8F4;">' + n(d.cuscd) + '</div>' + 
      '     <div class="item wd-MM inputReadOnly spnm longnm" style="background-color:#FFC8F4;">' + n(d.spnm) + '</div>' +
      '     <div class="item wd-M inputReadOnly spknm longnm" style="background-color:#FFC8F4;">' + n(d.spknm) + '</div>' +
      '     <div class="item wd-S inputReadOnly shflgnm longnm" style="background-color:#FFC8F4;">' + n(d.shflgnm) + '</div>' +
      '     <div class="item wd-060 inputReadOnly spzip " style="background-color:#FFC8F4;">' + n(d.spzip) + '</div>' +
      '     <div class="item wd-L inputReadOnly spad longnm" style="background-color:#FFC8F4;">' + n(d.spad) + '</div>' +
      '     <div class="item wd-030 inputReadOnly spktcd" style="background-color:#FFC8F4;">' + n(d.spktcd) + '</div>' +
      '     <div class="item wd-060 inputReadOnly cshcd" style="background-color:#FFC8F4;">' + n(d.cshcd) + '</div>' +
      '     <div class="item wd-S inputReadOnly spcatnm longnm" style="background-color:#FFC8F4;">' + n(d.spcatnm) + '</div>' +
      '     <div class="item wd-090 inputReadOnly sptel" style="background-color:#FFC8F4;">' + n(d.sptel) + '</div>' +
      '     <div class="item wd-090 inputReadOnly spfax" style="background-color:#FFC8F4;">' + n(d.spfax) + '</div>' +
      '     <input type="hidden" class="cucd" value="' + n(d.cucd) + '" />' +
      '     <input type="hidden" class="cunm" value="' + n(d.cunm) + '" />' +
      '   </div> ' +
      ' </div> ';
    }

    return row;
  },

  deldetail: function () {
    var el = document.getElementById("afm032xDetail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);
  },

  initial: function () {
    var main = $(".afm032x").find(".header_popafm032x");
    common.clearInputData(main);
    common.clearAllError();

    var el = document.getElementById("afm032xDetail");
    var n = el.cloneNode(false);
    el.parentNode.replaceChild(n, el);

    $("#afm032xCcd").focus();

  },
}
